Installation

Installation from pip

To install Supervisely from pip simply type the following command in terminal:

pip install supervisely

We release updates quite often, so use following command if you would like to upgrade your current Supervisely package:

pip install supervisely --upgrade

Note

The only prerequisites are Python >= 3.8 and pip.

Tip

opencv-python may require:

apt-get install libgtk2.0-dev

Or use pre-built Docker image which can be found on Docker Hub:

docker pull supervisely/base-py

The corresponding Dockerfile can be found in base_images directory.

Installation from Source

Clone the repository and create a linked install. This will allow you to change files in the supervisely directory, and is great if you want to modify the Supervisely library code.

git clone https://github.com/supervisely/supervisely.git && \
pip install -e ./supervisely

Or

python -m pip install git+https://github.com/supervisely/supervisely.git